Bug 462037 - tryin to use apt-get to upgrade after security breach fails
tryin to use apt-get to upgrade after security breach fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: apt (Show other bugs)
9
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-12 02:02 EDT by Eli Wapniarski
Modified: 2008-09-19 04:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 19:19:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
apt-get_update_output.txt (4.04 KB, text/plain)
2008-09-12 15:34 EDT, Eli Wapniarski
no flags Details
apt-get_fd_dist_upgrade_output.txt (56.37 KB, text/plain)
2008-09-12 15:34 EDT, Eli Wapniarski
no flags Details

  None (edit)
Description Eli Wapniarski 2008-09-12 02:02:43 EDT
Hi

After the security breach, apt-get fails miserably. Every package that apt-get tries to download from

everything
updates
updates.newkey

fails with http 404 errors.

Yum seems to work OK.
Comment 1 Eli Wapniarski 2008-09-12 02:03:58 EDT
Oh... I forgot to mention... This happens with Fedora 9 and 8
Comment 2 Axel Thimm 2008-09-12 14:35:48 EDT
Even after apt-get update? Then please add some more of the error output, e.g. the 404 errors will be accompanied by the missing URLs.
Comment 3 Eli Wapniarski 2008-09-12 15:33:09 EDT
I've attached a couple of files that contain the output of "apt-get update" and "apt-get -fd dist-upgrade"

As you can see, the output from the update is fine. The output from dist-upgrade shows problems.
Comment 4 Eli Wapniarski 2008-09-12 15:34:03 EDT
Created attachment 316614 [details]
apt-get_update_output.txt
Comment 5 Eli Wapniarski 2008-09-12 15:34:43 EDT
Created attachment 316615 [details]
apt-get_fd_dist_upgrade_output.txt
Comment 6 Eli Wapniarski 2008-09-12 15:38:10 EDT
Oh.. one other thing.  The output is similar for Fedora 9 x86_64, Fedora 9 i386 and Fedora 8 i386.
Comment 7 Axel Thimm 2008-09-13 11:36:00 EDT
Where did the newkey config came from? I'm just adding it to the repo.
Comment 8 Eli Wapniarski 2008-09-13 12:59:56 EDT
I followed the instructions provided at

https://fedoraproject.org/wiki/Enabling_new_signing_key

Then used the examples provided from the new fedora.repo etc to reconfigure the fedora.list etc files to conform to the new locations

ie

This was added to fedora-updates.list

repomd http://download.fedoraproject.org/pub/ fedora/linux/updates/9/x86_64.newkey/

All the above on one line (of course). The reason I have the space between pub and fedora is so that I can create a unique identifier in the preferences file

ie.

Package: *
Pin: release c=fedora-linux-updates-9-x86_64.newkey
Pin-Priority: 1003

This change of locations needs to be  made for updates in fedora-updates.list and and fedora.list
Comment 9 Fedora Update System 2008-09-16 19:19:02 EDT
fedora-package-config-apt-9-3.transitional, fedora-package-config-smart-9-13.0.2.transitional has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-09-16 19:23:46 EDT
fedora-package-config-apt-8-2.transitional, fedora-package-config-smart-8-12.0.2.transitional has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Eli Wapniarski 2008-09-19 04:08:13 EDT
Seems to be fixed. Files are now being downloaded.

Note You need to log in before you can comment on or make changes to this bug.